Subject: bug#18077: 24.4.50; Info-quoted face should inherit default

From: Sebastian Wiesner <[email-masked]>
Date: Sun, 27 Jul 2014 22:04:22 +0200

Am 27.07.2014 um 12:16 schrieb Stefan Monnier <[email-masked]>:

>> What expectations?
> 
> The expectations of someone reading online documentation.  Most online
> documentation I can find don't use bold, italics, or colors to
> distinguish "technical elements" like those that usually appear in
> Info-quoted face.

Such documentation also uses proportional fonts for standard body text.  Now where’s `Info-body` with “Times New Roman”, to match this expectation as well?

>> And if it’s just *your* expectation and your preference, doesn’t it belong
>> into your personal "init.el" then?
> 
> I indeed have a different personal setting for Info-quoted in my .emacs,
> but I wouldn't want to push this as the default.
> 
>> Oh, well, they are of quite some importance, since they happen to
>> demonstrate what this is all about:  That courier is not consistently of
>> good quality, and can be a very poor font on some systems.
> 
> No need for a screenshot to convince me of that, then.
> When I say "concrete case" I don't mean "please try to construct
> a situation where this happen" (I can usually do it myself), but rather
> "did someone involuntarily bump into this in his everyday use of Emacs?“.

I did not specifically “construct” any situation where this issue appears.  I have better uses for my time than trying to provoke random issues ;)  I involuntary bumped into this, when after a rebuild of Emacs trunk I realized that all quoted text in Info had suddenly become quite ugly.

The screenshots should just demonstrate the issue, and show in how far „Courier“ can be expected to have good quote characters, as Eli demanded in his reply.

>>> Have you looked at whether or not face-font-family-alternatives would
>>> provide a good fix?
>> I’m not sure whether I can follow.  I mean, I could add an arbitrary “good”
>> font as alias for "courier" myself, but then I could just customize the
>> "Info-quoted" face right away (which is what I’m doing currently).
> 
> On those systems that have a bad "courier" font (probably
> bitmapped), do they usually have another font that looks good and is almost
> identical (but obviously under a different name)?

How am I supposed to know what fonts are available on arbitrary systems?  I can only say that on my Linux system there are various other fonts available.  Liberation Mono would probably be the one that is closest to Courier.

But whether that font is widely installed, I do not know.  As I said, font configuration and availability on Linux greatly various between distributions and individual setups.  There is no general set of fonts to rely upon on Linux beyond generic names (e.g. „Serif“, „Monospace“, „Sans“, etc.)